ONVIF::Device::Types::AnalyticsEngineConfiguration(3)

NAME
ONVIF::Device::Types::AnalyticsEngineConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType AnalyticsEngineConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AnalyticsModule

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AnalyticsEngineConfiguration
   AnalyticsModule =>  { # ONVIF::Device::Types::Config
     Parameters =>  { # ONVIF::Device::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::Device::Types::ItemListExtension
       },
     },
   },
   Extension =>  { # ONVIF::Device::Types::AnalyticsEngineConfigurationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL